// BreakThrough Edition Final
// MetaHook Include
// Version 4.0 Plus
// Author: BTE Team
// Editor: BTE Team

/*#if defined _metahook_included
	#endinput
#endif
#define _metahook_included

#if AMXX_VERSION_NUM >= 175
 #pragma reqlib metahook
 #if !defined AMXMODX_NOAUTOLOAD
  #pragma loadlib metahook
 #endif
#else
 #pragma library metahook
#endif*/

#define	HUMAN		20
#define	TANK_ZB		0
#define	SPEED_ZB	1
#define	SPEED_ZB1	8
#define	HEAVY_ZB	2
#define	HEAL_ZB		3
#define	DEIMOS_ZB	4
#define	CHINA_ZB	5
#define	BOMMER_ZB	6
#define	RESIDENT_ZB	7
#define	GANYMEDE_ZB	9

native MH_DrawFollowIcon(iIndex,szText[],/*Float:*/x,/*Float:*/y,/*Float:*/z,show,showdistance,channel,r,g,b)
//native MH_DrawFollowIcon(iIndex,szText[],x,y,z,show,showdistance,channel,r,g,b)

// Example: MH_DrawTargaImage(id,"ct_odm",1,1,255,255,255,0.5,0.60,3,696,8.0) - metahook/tga
native MH_DrawTargaImage(id,szTga[],iFunc,iCenter,r,g,b,Float:x,Float:y,iMode,iChan,Float:fTime)

// Countdown draw
native MH_DrawCountDown(id,sz[],itime)

// Countdown reset
native MH_DrawCountDownReset(id)

// Example: MH_RespawnBar(iVictim, 1, 3.0)
native MH_RespawnBar(id,i,Float:time)

native MH_IsMetaHookPlayer(iIndex) // Forces to enable module

// Drawing Metahook text
native MH_DrawFontText(id,text[],icenter,Float:x,Float:y,r,g,b,iSale,Float:fLastTime,Float:fFadeTime,iFillBg,iChannel)

// Playing .bik video
native MH_PlayBink(id,sBink[],Float:x,Float:y,iR,iG,iB,iLoop,iPlay,iCenter,iFullScreen)

// Zombi Hero Skill Effect
native MH_DrawRetina(id,sTga[],iShow,iFullScreen,iFlash,iChanne,Float:fTime)

// Working with Visual Studio. You need to code c++ sources.
native MH_DrawExtraAmmo(iIndex,iType)  // BTE.dll
native MH_Quest(id,i1,i2,i3)  // BTE.dll
native MH_WeaponSkin(id,i1,sz[],i2)  // BTE.dll
native MH_SendDRRank(id,iRank,id2,s[])  // BTE.dll
native MH_ChangeTattoo(id,sTattoo[],iType)  // BTE.dll
native MH_SendClientModRunning(iIndex,iModRunning)  // BTE.dll
native MH_SpecialEvent(iIndex , iSpecialEvent)  // BTE.dll
native MH_BuyMenu(id,iType,iPage,iHaveNextPage,sz[])

// Shows sprite. Need to write in hud.txt
native MH_DrawImage(iIndex, iCheck = 1, iCenter = 1, const szSprite[], Float:x = 0.5, Float:y = 0.5, r = 255, g = 255, b = 255, iMode = 0, Float:flDisplayTime = 1.0, iChanne = 0, iLength)

// Shows sprite. Need to write in hud.txt
native MH_DrawAdditiveImage(iIndex, iCheck = 1, iCenter = 1, const szSprite[], Float:x = 0.5, Float:y = 0.5, r = 255, g = 255, b = 255, iMode = 0, Float:flDisplayTime = 1.0, iChanne = 0, iLength)

// This needs to write sprite file into hud.txt
native MH_DrawHolesImage(iIndex, iCheck = 1, iCenter = 1, const szSprite[], Float:x = 0.5, Float:y = 0.5, r = 255, g = 255, b = 255, iMode = 0, Float:flDisplayTime = 1.0, iChanne = 0, iLength)

// Drawing Metahook native text
native MH_DrawText(iIndex, iCenter = 1, const szText[], Float:x = 0.5, Float:y = 0.5, r = 255, g = 255, b = 255, Float:flDisplayTime = 1.0, iChanne = 0)

// Making a Lambert
native MH_SetViewEntityBody(iIndex, iBody = -1)

// If you want to make model Glowing
native MH_SetViewEntityRender(iIndex, iMode = -1, iEffect, iColorR, iColorG, iColorB, iAmout)

// Example MH_DrawScoreBoard(i,g_tickets_te, g_tickets, g_tickets_ct, 0, 0 ,1)
native MH_DrawScoreBoard(iIndex,iTopLeftNum, iTopCenterNum, iTopRightNum, iDownLeftNum, iDownRightNum ,iMode)

// Zombie Scenario, Human Scenario Modes
native MH_SetZBSTeamScore(score);
native MH_SetZBSPlayerScore(id, score, flash = 1);
native MH_SetZBSRoundNums(nums);

